#!/bin/sh

if [ "$1" = "-setup" ]; then
    cd /usr/X11/lib/X11/fonts/misc
    cp -p fonts.alias fonts.alias.org
    if ! grep -q k14 fonts.alias
    then
	echo "k14          -misc-fixed-medium-r-normal--14-*-*-*-*-*-jisx0208.1983-0" >>fonts.alias
    fi
    if ! grep -q kanji16 fonts.alias
    then
	echo "kanji16      -jis-fixed-medium-r-normal--16-*-*-*-*-*-jisx0208.1983-0" >>fonts.alias
    fi
    if ! grep -q kanji24 fonts.alias
    then
	echo "kanji24      -jis-fixed-medium-r-normal--24-*-*-*-*-*-jisx0208.1983-0" >>fonts.alias
    fi
    if ! grep -q kanji18 fonts.alias
    then
	echo "kanji18      -jis-fixed-medium-r-normal--18-*-*-*-*-*-jisx0208.1983-0" >>fonts.alias
    fi
    if ! grep -q kanji26 fonts.alias
    then
	echo "kanji26      -jis-fixed-medium-r-normal--26-*-*-*-*-*-jisx0208.1983-0" >>fonts.alias
    fi
    if ! grep -q marumoji fonts.alias
    then
	cat << ENDECHO >> fonts.alias
-misc-marumoji-medium-r-normal--14-100-100-100-c-70-iso8859-1 -misc-marumoji-medium-r-normal--14-130-75-75-c-70-iso8859-1
-misc-marumoji-medium-r-normal--14-100-100-100-c-70-jisx0201.1976-0 -misc-marumoji-medium-r-normal--14-130-75-75-c-70-jisx0201.1976-0
-misc-marumoji-medium-r-normal--14-100-100-100-c-140-jisx0208.1983-0 -misc-marumoji-medium-r-normal--14-130-75-75-c-140-jisx0208.1983-0
-misc-marumoji-medium-r-normal--16-120-100-100-c-80-iso8859-1 -misc-marumoji-medium-r-normal--16-150-75-75-c-80-iso88859-1
-misc-marumoji-medium-r-normal--16-120-100-100-c-80-jisx0201.1976-0 -misc-marumoji-medium-r-normal--16-150-75-75-c-80-jisx0201.1976-0
-misc-marumoji-medium-r-normal--16-120-100-100-c-160-jisx0208.1983-0 -misc-marumoji-medium-r-normal--16-150-75-75-c-160-jisx0208.1983-0
-misc-marumoji-medium-r-normal--18-130-100-100-c-90-iso8859-1 -misc-marumoji-medium-r-normal--18-170-75-75-c-90-iso8859-1
-misc-marumoji-medium-r-normal--18-130-100-100-c-90-jisx0201.1976-0 -misc-marumoji-medium-r-normal--18-170-75-75-c-90-jisx0201.1976-0
-misc-marumoji-medium-r-normal--18-130-100-100-c-180-jisx0208.1983-0 -misc-marumoji-medium-r-normal--18-170-75-75-c-180-jisx0208.1983-0
ENDECHO
    fi
    /usr/X11/bin/mkfontdir /usr/X11/lib/X11/fonts/misc
fi
